commit:     2c335ae6a500551c82db12a869d2dbc1ab3666e8
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Tue May 24 16:43:04 2022 +0000
Commit:     Haelwenn Monnier <contact <AT> hacktivis <DOT> me>
CommitDate: Tue May 24 17:36:40 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=2c335ae6

dev-python/os-ken: add 2.4.0

Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 dev-python/os-ken/Manifest            |  1 +
 dev-python/os-ken/os-ken-2.4.0.ebuild | 53 +++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-python/os-ken/Manifest b/dev-python/os-ken/Manifest
index e11eae955..9f825dab9 100644
--- a/dev-python/os-ken/Manifest
+++ b/dev-python/os-ken/Manifest
@@ -1 +1,2 @@
 DIST os-ken-2.3.1.tar.gz 1374401 BLAKE2B 
48d0bec58f911a708e0ff662162ea2163c0466176fa0618580733f55415e3681be545b30675ce0f2fa174a72e8dc4950ff5d5c1a4adba96f86540f9b1649e03b
 SHA512 
5a2b916b1207595fc3c96e1e4cccfc9bed4a7be6859ca49892e50f98633fe18cbab6e59b11c3d024765b21a826d81031aec66d1016369b9887b1af9fb7952c9f
+DIST os-ken-2.4.0.tar.gz 1372860 BLAKE2B 
0fb7fc334362a57795a29ad211ab142f6d8b864226abb850f28266369a2fbff71971b00c2225897c49adca768612966c965b25a34f0d988855776c6b164dc537
 SHA512 
4ff047edb2c87e8b650c62d7a0fdaa1a977b2378caa703925e089f5497aa2cb158384f9857254a4717df23e666f460ce57a1385cecfc43509c514ff2a8bb5188

diff --git a/dev-python/os-ken/os-ken-2.4.0.ebuild 
b/dev-python/os-ken/os-ken-2.4.0.ebuild
new file mode 100644
index 000000000..5cb42db9b
--- /dev/null
+++ b/dev-python/os-ken/os-ken-2.4.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="OpenStack Cinder brick library for managing local volume attaches"
+HOMEPAGE="
+       https://github.com/openstack/os-ken
+       https://opendev.org/openstack/os-ken
+       https://pypi.org/project/os-ken/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/os-ken-${PV}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+       >=dev-python/eventlet-0.22.0[${PYTHON_USEDEP}]
+       >=dev-python/msgpack-0.5.0[${PYTHON_USEDEP}]
+       >=dev-python/netaddr-0.7.18[${PYTHON_USEDEP}]
+       >=dev-python/oslo-config-5.1.0[${PYTHON_USEDEP}]
+       >=dev-python/ovs-2.8.0[${PYTHON_USEDEP}]
+       >=dev-python/routes-2.3.1[${PYTHON_USEDEP}]
+       >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
+       >=dev-python/webob-1.8.2[${PYTHON_USEDEP}]
+"
+DEPEND="
+       ${RDEPEND}
+       >=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               >=dev-python/subunit-1.0.0[${PYTHON_USEDEP}]
+               >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+               >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+
+               dev-python/lxml[${PYTHON_USEDEP}]
+               dev-python/ncclient[${PYTHON_USEDEP}]
+               dev-python/sqlalchemy[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests nose
+
+src_prepare() {
+       rm -r "${S}/os_ken/tests/integrated" || die
+       default
+}

Reply via email to